capture log close
qui cd "C:\DATEN\ASQ\Projects\MTurk2013\MTurkMain\data"

log using ASQ-MTurk2013-dataprep.log, replace

// project: A Sensitive Question Technique Validation Experiment Using MTurk
// task:    Data preparation
// authors: Marc Hoeglinger, partly based on code written by Ben Jann
// date:    16oct2014, 4april2014, 19feb2014

version 13.1
clear all
set type double
set more off, permanently
set charset latin1

// Step 1: read data from excel files

do ASQ-MTurk2013-dataprep-1.do

// Step 2: para data

do ASQ-MTurk2013-dataprep-2.do

// Step 3: experimental conditions and design parameters

do ASQ-MTurk2013-dataprep-3.do

// Step 4: questionnaire variables, labels, missings etc.

do ASQ-MTurk2013-dataprep-4.do

// Step 7: save

label data `"MTurk Survey on "Mood and Personality" 2013"'
note _dta: MTurk Survey on "Mood and Personality"
note _dta: ETH Zurich and University of Bern, November/December 2013
note _dta: Data timestamp: `c(current_date)' `c(current_time)'
save ASQ-MTurk2013.dta, replace

capture noisily log close
exit



