// read rawdata
import delimited using rawdata/ASQ_MTurk_2013.csv,  ///
     varnames(1) clear
drop if _n==1
qui destring, replace
	 
gen id=regexs(0) if (regexm(v3,"[]*[\-]*[0-9]+"))
	destring id, replace
	drop v3

// drop invalid observations
drop if id==11520|id==11519 // Stefans test codes
drop if id<0 // other test codes

// name variables appropriately(. is replaced by _; use Q instead of q) 
unab varlist : q11-q185_7_text
foreach var of varlist `varlist' {
	local newname=regexr("`: variable label `var''", "\.", "_")
	local newname=regexr("`newname'", "TEXT", "txt")
	rename `var' `newname'
}

// drop constants
drop v2 v4 v5 v7 ///
	Q1_1 Q2_1 Q2_2_1 Q2_2_2 Q2_2_3 Q2_2_4 Q2_2_5 Q2_2_6 Q2_2_7 Q2_2_8 /// 
	Q2_2_9 Q2_3 Q3_1 Q3_3 Q3_5 Q4_1 Q4_3 Q6_9 Q7_1 Q10_3 Q11_3 Q11_6 ///
	Q11_9 Q11_12 Q10_1 Q17_1 Q16_1 Q9_1 Q11_1 locationaccuracy v357

// drop irrelevant system/textstring variables
drop v1 

drop introtext sqdicegametext gametasktext

qui compress

exit

