// variable names
rename Q1_4		q2
rename Q1_4_txt	q2txt
rename Q1_6		q3_1
rename Q1_7		q3_2
rename Q1_8		q3_3
rename Q3_6		q6_pred
rename Q4_4		q6_roll
rename Q5_1		q7_1
rename Q5_2		q7_2
rename Q5_4_1	q8_1_1
rename Q5_4_2	q8_2_1
rename Q5_4_3	q8_3_1
rename Q5_4_4	q8_4_1
rename Q5_4_5	q8_5_1
rename Q5_4_6	q8_1_2
rename Q5_4_7	q8_2_2
rename Q5_4_8	q8_3_2
rename Q5_4_9	q8_4_2
rename Q5_4_10	q8_5_2
rename Q6_1		q9_1
rename Q6_1_txt	q9_1txt
rename Q6_2		q9_2
rename Q6_3		q9_3
rename Q6_5		q10_1
rename Q6_6_1	q10_2_1
rename Q6_6_2	q10_2_2
rename Q6_6_3	q10_2_3
rename Q6_6_4	q10_2_4
rename Q6_6_5	q10_2_5
rename Q6_6_6	q10_2_6
rename Q6_6_7	q10_2_7
rename Q6_6_7_txt		q10_2_7txt
rename Q6_7		q10_3
rename Q6_7_txt	q10_3txt
rename Q8_1		q14dq
rename Q8_3		q15dq
rename Q8_5		q16dq
rename Q8_7		q17dq
rename Q9_3		q14cm
rename Q9_5		q15cm
rename Q9_7		q16cm
rename Q9_9		q17cm
rename Q10_5	q14benf
rename Q10_7	q15benf
rename Q10_9	q16benf
rename Q10_11	q17benf
rename Q11_4	q14pick
rename Q11_7	q15pick
rename Q11_10	q16pick
rename Q11_13	q17pick
rename Q12_1	q18_1
rename Q12_2	q18_2
rename Q12_4	q19_1
rename Q12_5	q19_2
rename Q12_6	q19_3
rename Q12_7	q19_4txt
rename Q13_1	q20_1
rename Q14_1	q20_2_1
rename Q14_2	q20_2_2
rename Q14_3	q20_2_3
rename Q14_4	q20_2_4
rename Q15_1	q20_3_1
rename Q15_2	q20_3_2
rename Q15_3	q20_3_3
rename Q15_4	q20_3_4
rename Q16_2	q20_4
rename Q17_2	q20_5
rename Q18_1_1	q21_1
rename Q18_1_2	q21_2
rename Q18_1_3	q21_3
rename Q18_1_7	q21_4
rename Q18_3	q22txt

rename done_throws q6_rollcount	
forvalues i=1/20 {
	rename rnd_dr`i' q6_roll`i' // I now use the predefined roll outcomes.
	}
order q6_rollcount q6_roll? q6_roll??, after(q6_roll)

// recode response of different experimental conditions, merge into one variable
* dicegame
foreach v in q6_pred q6_roll { // predict: 1 right 0 wrong; rolla6: 1 yes 0 no
    assert inlist(dicegame,1,2) if !missing(`v')
    qui recode `v' (1=1) (2=0)
}
gen q6=.
order q6, before(q6_pred)
foreach dicegame in pred roll {
	assert (q6==.) if q6_`dicegame'!=.
	qui replace q6 = q6_`dicegame' if q6_`dicegame'!=.
drop q6_`dicegame'
}
* senstec
foreach v in q14cm q15cm q16cm q17cm { // CM: 1 same 0 different
    assert senstec==2 if !missing(`v')
    qui recode `v' (1=1) (2=0)
}
foreach v in q14dq q15dq q16dq q17dq ///
				q14benf q15benf q16benf q17benf ///
				q14pick q15pick q16pick q17pick { // DQ and RRT: 1 yes 0 no
    assert (inlist(senstec, 1, 3, 4)) if !missing(`v')
    qui recode `v' (1=1) (2=0)
}
foreach v in q14 q15 q16 q17 {
	gen `v'=.
	order `v', before(`v'dq)
	foreach senstec in dq cm benf pick {
		assert (`v'==.) if `v'`senstec'!=.
		qui replace `v' = `v'`senstec' if `v'`senstec'!=. // response variable
		drop `v'`senstec'
	}
}

// remove blanks in text variables
replace q2txt = strtrim(q2txt)
replace q9_1txt = strtrim(q9_1txt)
replace q10_2_7txt = strtrim(q10_2_7txt)
replace q10_3txt = strtrim(q10_3txt)
replace q19_4txt = strtrim(q19_4txt)
replace q22txt = strtrim(q22txt)
replace system1 = strtrim(system1)
replace system21 = strtrim(system21) 

// destring and correct number input
replace q9_2 = strtrim(q9_2)
	replace q9_2="1984" if q9_2=="1984`" // "'"
	local d 
	destring q9_2, replace
replace q10_1 = strtrim(q10_1)

// recode and value labels
lab def completed ///
	0 "discontinued" ///
	1 "completed"
lab val completed completed
lab def q2 ///
	1 "Decision making" ///
	2 "Effort in answering questions" ///
	3 "Payment and answering questions" ///
	4 "Other"
lab val q2 q2
fre q2
replace q3_1 = q3_1 - 1 if inrange(q3_1,1,11)
lab def q3_1 ///
    0  "unwilling to take risks" ///
    10 "fully prepared to take risks"
lab val q3_1 q3_1
fre q3_1
recode q3_2(1=1) (2=0)
lab def q3_2 ///
	0 "no" ///
	1 "yes"
lab val q3_2 q3_2
fre q3_2
recode q3_3(1=1) (2=0)
lab def q3_3 ///
	0 "no" ///
	1 "yes"
lab val q3_3 q3_3
fre q3_3
lab def q6 ///
	0 "wrong/no" ///
	1 "right/yes"
lab val q6 q6
fre q6
label def q6_rollcount 0 "no single roll executed/recorded", add
label val q6_rollcount q6_rollcount
fre q6_rollcount
replace q7_1 = q7_1 - 1 if inrange(q7_1,1,11)
lab def q7_1 ///
    0  "not at all satisfied" ///
    10 "completely satisfied"
lab val q7_1 q7_1
fre q7_1
replace q7_2 = q7_2 - 1 if inrange(q7_2,1,11)
lab def q7_2 ///
    0  "not at all happy" ///
    10 "extremely happy"
lab val q7_2 q7_2
fre q7_2
forvalues i=1/5 {
	lab def q8_`i'_1 ///
		1 "disagree strongly" ///
		2 "disagree a little" ///
		3 "neither agree nor disagree" ///
		4 "agree a little" ///
		5 "agree strongly"
	lab val q8_`i'_1 q8_`i'_1
	fre q8_`i'_1
	lab def q8_`i'_2 ///
		1 "disagree strongly" ///
		2 "disagree a little" ///
		3 "neither agree nor disagree" ///
		4 "agree a little" ///
		5 "agree strongly"
	lab val q8_`i'_2 q8_`i'_2
	fre q8_`i'_2
	}
lab def q9_1 ///
	1 "some high school, no degree" ///
	2 "high school diploma" ///
	3 "some college, no degree" ///
	4 "associate degree" ///
	5 "bachelor's degree" ///
	6 "graduate degree" ///
	7 "other (please specify)"
lab val q9_1 q9_1
fre q9_1
lab def q9_3 ///
	1 "Male" ///
	2 "Female"
lab val q9_3 q9_3
fre q9_3
forvalues i=1/7 {
	lab def q10_2_`i'  ///
		0 "not selected" ///
		1 "selected" 
	lab val q10_2_`i' q10_2_`i'
	fre q10_2_`i'
	}
lab def q10_3 ///
	1 "at home" ///
	2 "at workplace/office" ///
	3 "in a cafe/restaurant" ///
	4 "at school/university" ///
	5 "travelling" ///
	6 "other (please specify)"
lab val q10_3 q10_3
fre q10_3
forvalues i=14/17 {
	lab def q`i' ///
		0 "no/different" ///
		1 "yes/identical"
	lab val q`i' q`i'
	fre q`i'
	}
local i 0
forvalues q=14/17 {
	local ++i
	rename sq`i'_* q`q'_* // renaming sq?_yes/no/cm/uq
	lab copy sq`i'_uq q`q'_uq
	order q`q'_*, after(q`q') // order pyes, pno, pcm, uq
	}
lab def q18_1 ///
	1 "very poorly" ///
	2 "rather poorly" ///
	3 "moderately" ///
	4 "rather well" ///
	5 "very well"
lab val q18_1 q18_1
fre q18_1
lab def q18_2 ///
	1 "impossible" ///
	2 "not likely" ///
	3 "somewhat likely" ///
	4 "quite likely" ///
	5 "very likely"
lab val q18_2 q18_2
fre q18_2
forvalues i=1/3 {
	lab def q19_`i' ///
		1 "not at all" ///
		2 "a little" ///
		3 "moderately" ///
		4 "quite a bit" ///
		5 "definitely"
	lab val q19_`i' q19_`i'
	fre q19_`i'
}
forvalues i=1/4 {
	recode q20_2_`i' (1=1) (2=0)
	lab def q20_2_`i' ///
		1 "yes" ///
		0 "no" 
	lab val q20_2_`i' q20_2_`i'
	fre q20_2_`i'
	}
forvalues i=1/4 {
	rename rndCM`i'_* q20_2_`i'_* // renaming rnd?_pyes, rnd?_uq
	lab copy rndCM`i'_uq q20_2_`i'_uq
	order q20_2_`i'_*, after(q20_2_`i') // order pyes, uq
	}
forvalues i=1/4 {
	recode q20_3_`i' (1=1) (2=0)
	lab def q20_3_`i' ///
		1 "yes" ///
		0 "no" 
	lab val q20_3_`i' q20_3_`i'
	fre q20_3_`i'
	}
forvalues i=1/4 {
	rename rndbenf`i'_* q20_3_`i'_* // renaming rnd?_pyes, rnd?_uq
	lab copy rndbenf`i'_uq q20_3_`i'_uq
	order q20_3_`i'_*, after(q20_3_`i') // order pyes, uq
	}
lab def q20_4 ///
	1 "yes" ///
	2 "no" ///
	3 "other"
lab val q20_4 q20_4
fre q20_4
lab def q20_5 ///
	1 "a" ///
	2 "b" ///
	3 "c"
lab val q20_5 q20_5
fre q20_5
forvalues i=1/4 {
	lab def q21_`i' ///
		1 "perfectly" ///
		2 "unsure" ///
		3 "definitely not"
	lab val q21_`i' q21_`i'
	fre q21_`i'
	}
lab def java1 ///
	0 "not installed" ///
	1 "installed"
lab val java1 java1	
lab def java21 ///
	0 "not installed" ///
	1 "installed"
lab val java21 java21	
	
// additional variables
// Big Five scale (BFI-10, Rammstedt et al. 2007)
gen q8_1=-(q8_1_1)+6 + q8_1_2    if !inlist(-99,q8_1_1,q8_1_2) 
gen q8_2=  q8_2_1 +  -(q8_2_2)+6 if !inlist(-99,q8_2_1,q8_2_2) 
gen q8_3=-(q8_3_1)+6 + q8_3_2    if !inlist(-99,q8_3_1,q8_3_2) 
gen q8_4=-(q8_4_1)+6 + q8_4_2    if !inlist(-99,q8_4_1,q8_4_2) 
gen q8_5=-(q8_5_1)+6 + q8_5_2    if !inlist(-99,q8_5_1,q8_5_2) 
forvalues i=1/5 {
	replace q8_`i'=-99 if inlist(-99,q8_`i'_1,q8_`i'_2)
	assert q8_`i'_1==. if q8_`i'_2==.
	assert q8_`i'==. if q8_`i'_1==.
	order q8_`i', before(q8_1_1)
	lab def q8_`i' 2  "minimal score" ///
				   10 "maximal score"
	lab val q8_`i' q8_`i'
	fre q8_`i'
	}
	
// missings
replace areacode=.a if areacode==0
	lab def areacode .a "not available"
	lab val areacode areacode
	fre areacode
* code missings for experimental design variables
assert submit4==. if dicegame==.
replace dicegame=.b if dicegame==.
	label def dicegame .b "break-off", add
	fre dicegame
assert submit14==. if senstec==.
replace senstec=.b if senstec==.
	label def senstec .b "break-off", add
	fre senstec
assert submit20==. if rndtest==.
replace rndtest=.b if rndtest==.
	label def rndtest .b "break-off", add
	fre rndtest

assert submit6==. & q6_rollcount==0 if q6==.
replace q6_rollcount=. if q6_rollcount==0 & q6==.
fre q6_rollcount
*forvalues i=1/20 {
*	replace q6_roll`i'=-66 if q6_roll`i'==. & q6!=.
*}
foreach q of numlist 14 15 16 17 { 
	replace q`q'_pyes=. if q`q'==.
	replace q`q'_pno=. if q`q'==.
	replace q`q'_pcm=. if q`q'==.
	replace q`q'_uq=. if q`q'==.
	assert q18_1==. if q`q'==.
	replace q`q'=. if q`q'==.
}
foreach q of numlist 14 15 16 17 { 
	replace q`q'_uq=-66 if q`q'_uq==. & q`q'!=.
	fre q`q'_uq
}
* replacing missing . with .b "break-off" if all subsequent variables have missing .
order q6_*, last // move dice roll variables
qui ds q2-q22txt, has(type numeric)
	unab numvars : `r(varlist)'
gen lastquest=""
local lastquest "no question answered"
foreach var of varlist `numvars' {
	ds `var'-q22txt
	unab followquest : `r(varlist)'
	egen nomiss = rownonmiss(`followquest'), strok
	assert completed==0 if `var'==. & nomiss==0
	replace `var'=.b if `var'==. & nomiss==0 
	replace lastquest="`lastquest'" if lastquest=="" & `var'==.b & nomiss==0
	local lastquest "`var'"
	label def `var' .b "break-off", add
	label val `var' `var'
	drop nomiss
	}
replace lastquest="all questions answered" if lastquest==""
fre lastquest
*replacing -99 with .a (-99 equals "seen but unanswered questions" as coded by Qualtrics)
qui ds q2-q22txt, has(type numeric)
	unab numvars : `r(varlist)'
foreach var of varlist `numvars' {
	replace `var'=.a if `var'==-99
	label def `var' .a "no answer", add
	label val `var' `var'
}
replace q9_2=.a if q9_2==.
/* dice roll is javascipt based, so javascript must actually be activated for proper functioning.
recording of roll number is part of the dice roll javascript code
outcome is predefined and taken from a Qualtrics variable
roll count is then written to a new Qualtrics variable.
java-detection seems only partly reliable because dice roll works for the large majority who are 
identified with javascript not installed/unknown */
* I now use predefined outcomes so that also respondents where the roll
* outcome was not recorded can potentially be included into the analyses using
* the predefined roll outcome. However, we do not know how many of these actually
* could roll the dice and had the predefined outcome.
order q6_*, after(q6) // move dice roll variables back
replace q6_rollcount=q6 if q6_rollcount==.
	label def q6_rollcount .b "break-off", add

forvalues i=1/20 { 
	assert q6_rollcount<`i' if drr`i'==-66 // assert that rollcount equals roll outcomes recorded
	*replace q6_roll`i'=.c if q6_roll`i'==-66 & inrange(q6_roll1,1,6)
	*replace q6_roll`i'=.d if q6_roll`i'==-66 & !inrange(q6_roll1,1,6)
	*label def q6_roll`i' .c "this roll not executed", add
	*label def q6_roll`i' .d "no single roll executed/recorded", add
	*label val q6_roll`i' q6_roll`i'
	fre q6_roll`i' drr`i'
	drop drr`i'
}
foreach var of varlist q10_2_1- q10_2_7 {
	assert missing(q10_2_1-q10_2_7, q10_2_7txt) if `var'==.a
}
foreach q of numlist 14 15 16 17 { 
	replace q`q'_uq=.c if q`q'_uq==-66 & !inlist(senstec, 2, 3)
	label def q`q'_uq .c "filter: senstec not 2 or 3", add
	label val q`q'_uq q`q'_uq
	fre q`q'_uq
	}
foreach var of varlist q19_1 q19_2 q19_3  {
	replace `var'=.c if `var'==. & senstec==1
	label def `var' .c "filter: DQ", add
	label val `var' `var'
	fre `var'
}		
replace q20_1=.c if q20_1==. & rndtest!=1
	label def q20_1 .c "filter: rndtest not 1", add
	label val q20_1 q20_1
	fre q20_1
foreach var of varlist q20_2_* {
	replace `var'=.c if `var'==. & rndtest!=2
	label def `var' .c "filter: rndtest not 2", add
	label val `var' `var'
	fre `var'
}	
foreach var of varlist q20_3_* {
	replace `var'=.c if `var'==. & rndtest!=3
	label def `var' .c "filter: rndtest not 3", add
	label val `var' `var'
	fre `var'	
}	
replace q20_4=.c if q20_4==. & rndtest!=4
	label def q20_4 .c "filter: rndtest not 4", add
	label val q20_4 q20_4
	fre q20_4	
replace q20_5=.c if q20_5==. & rndtest!=5
	label def q20_5 .c "filter: rndtest not 5", add
	label val q20_5 q20_5
	fre q20_5	
foreach var of varlist browser1 java1  {
	replace `var'=.a if `var'==.
	label def `var' .a "unknown", add
	label val `var' `var'
	fre `var'
}	
foreach var of varlist browser21 java21 {
	replace `var'=.a if `var'==. & q21_1!=.b
	replace `var'=.b if `var'==. & q21_1==.b
	label def `var' .a "unknown", add
	label def `var' .b "break-off", add
	label val `var' `var'
	fre `var'
}
* page metrics variables
* set filter missings
foreach var of varlist firstcl5-clcount5 {
	assert `var'==. if dicegame==2
	replace `var'=.c if dicegame==2
	label def `var' .c "filter: dicegame roll-a-six", add
	label val `var' `var'	
}
foreach var of varlist firstcl12-clcount12 {
	assert `var'==. if senstec==1
	replace `var'=.c if senstec==1
	label def `var' .c "filter: DQ", add
	label val `var' `var'	
}
foreach var of varlist firstcl13-clcount13 {
	assert `var'==. if inlist(senstec,1,2,4)
	replace `var'=.c if inlist(senstec,1,2,4)
	label def `var' .c "filter: senstec not 3", add
	label val `var' `var'	
}
foreach var of varlist firstcl19-clcount19 {
	assert `var'==. if senstec==1
	replace `var'=.c if senstec==1 & q18_2!=.b
	label def `var' .c "filter: DQ", add
	label val `var' `var'	
}
* replacing missing . with .b "break-off" if all subsequent page metrics variables have missing .
gen lastpage=cond(completed==1,22,.)
lab def lastpage ///
	0 "no page submitted" ///
	22 "all submitted" 
lab val lastpage lastpage
forvalues i=1/22 { 
	assert firstcl`i'==. & lastcl`i'==. & clcount`i'==. if submit`i'==.
}
local lastpage 0
forvalues i=1/22 { 
	ds firstcl`i'-clcount22
	unab pages : `r(varlist)'
	egen nomiss = rownonmiss(`pages'), strok
	assert completed==0 if `var'`i'==. & nomiss==0
	foreach var in firstcl lastcl submit clcount {
		replace `var'`i'=.b if `var'`i'==. & nomiss==0
		label def `var'`i' .b "break-off", add
		label val `var'`i' `var'`i'
	}
	replace lastpage=`lastpage' if lastpage==. & firstcl`i'==.b & nomiss==0
	local ++lastpage
	drop nomiss
}
fre lastpage
tab lastpage lastquest
drop lastquest lastpage
*identify cases with missings for inspection
gen miss99=0
forvalues i=1/22 { 
	assert firstcl`i'==-99 & lastcl`i'==-99 & clcount`i'==-99 if submit`i'==-99
}
foreach var of varlist submit* {
	replace miss99=miss99+1 if `var'==-99
}
gen miss0=0
forvalues i=1/22 { 
	assert firstcl`i'==0 & lastcl`i'==0 & clcount`i'==0 if submit`i'==0
}
foreach var of varlist submit* {
	replace miss0=miss0+1 if `var'==0
}
fre miss99 miss0
*browse if miss0>10
*browse if miss99>0
drop miss99 miss0
forvalues i=1/22 { 
	foreach var in firstcl lastcl submit clcount {
		replace `var'`i'=.a if `var'`i'==-99
		replace `var'`i'=.a if submit`i'==0 // 0 in submit is taken as indicator for not recording page metrics
		label def `var'`i' .a "not recorded", add
		label val `var'`i' `var'`i'
	}
}

// variable labels
lab var id             "Access ID"
lab var completed      "Survey completion status"
lab var startdate      "Date and time of first access (GMT +01:00)"
lab var enddate        "Date and time of last access (GMT +01:00)"
lab var ip             "IP address"
lab var city           "IP geolocation: city"
lab var postalcode     "IP geolocation: postalcode"
lab var region         "IP geolocation: region"
lab var areacode       "IP geolocation: areacode"
lab var country        "IP geolocation: country"
lab var loclat         "IP geolocation: latitude"
lab var loclong        "IP geolocation: longitude"
lab var dicegame       "Dice game assignment"
lab var senstec        "Sensitive question technique assignment"
lab var rndtest        "Randomizing device test assignment"
lab var q2             "Screening question: category"
lab var q2txt          "Screening question: other (text)"
lab var q3_1           "Risk attitude (GSOEP 11-point scale)"
lab var q3_2           "Native English speaker"
lab var q3_3           "US citizen"
lab var q6             "Dice game response"
lab var q6_rollcount   "Dice roll counter"
lab var q6_roll1       "Predefined outcome roll 1"
lab var q6_roll2       "Predefined outcome roll 2"
lab var q6_roll3       "Predefined outcome roll 3"
lab var q6_roll4       "Predefined outcome roll 4"
lab var q6_roll5       "Predefined outcome roll 5"
lab var q6_roll6       "Predefined outcome roll 6"
lab var q6_roll7       "Predefined outcome roll 7"
lab var q6_roll8       "Predefined outcome roll 8"
lab var q6_roll9       "Predefined outcome roll 9"
lab var q6_roll10      "Predefined outcome roll 10"
lab var q6_roll11      "Predefined outcome roll 11"
lab var q6_roll12      "Predefined outcome roll 12"
lab var q6_roll13      "Predefined outcome roll 13"
lab var q6_roll14      "Predefined outcome roll 14"
lab var q6_roll15      "Predefined outcome roll 15"
lab var q6_roll16      "Predefined outcome roll 16"
lab var q6_roll17      "Predefined outcome roll 17"
lab var q6_roll18      "Predefined outcome roll 18"
lab var q6_roll19      "Predefined outcome roll 19"
lab var q6_roll20      "Predefined outcome roll 20"
lab var q7_1           "Satisfaction with dice game result"
lab var q7_2           "Actual happiness"
lab var q8_1           "BFI-10: Extraversion"
lab var q8_2           "BFI-10: Agreeableness"
lab var q8_3           "BFI-10: Conscientiousness"
lab var q8_4           "BFI-10: Neuroticism"
lab var q8_5           "BFI-10: Openness"
lab var q8_1_1         "I see myself as someone who is reserved"
lab var q8_2_1         "I see myself as someone who is generally trusting"
lab var q8_3_1         "I see myself as someone who tends to be lazy"
lab var q8_4_1         "I see myself as someone who is relaxed, handles stress well"
lab var q8_5_1         "I see myself as someone who has few artistic interests"
lab var q8_1_2         "I see myself as someone who is outgoing, sociable"
lab var q8_2_2         "I see myself as someone who tends to find fault with others"
lab var q8_3_2         "I see myself as someone who does a thorough job"
lab var q8_4_2         "I see myself as someone who gets nervous easily"
lab var q8_5_2         "I see myself as someone who has an active imagination"
lab var q9_1           "Educational attainment: categorized"
lab var q9_1txt        "Educational attainment: other (text)"
lab var q9_2           "Year of birth"
lab var q9_3           "Gender"
lab var q10_1          "Number of MTurk studies attended"
lab var q10_2_1        "Currently employed"
lab var q10_2_2        "Currently self-employed"
lab var q10_2_3        "Currently out of work and looking for work"
lab var q10_2_4        "Currently homemaker"
lab var q10_2_5        "Currently student"
lab var q10_2_6        "Currently retired"
lab var q10_2_7        "Currently other"
lab var q10_2_7txt     "Currently other (text)"
lab var q10_3          "Actual location: categorized"
lab var q10_3txt       "Actual location: other (text)"
lab var q14            "Have you ever intentionally taken something from a store without paying for it?"
lab var q14_pyes       "Shoplifting: probability of direct yes (FR/UQ)"
lab var q14_pno        "Shoplifting: probability of direct no (FR/UQ)"
lab var q14_pcm        "Shoplifting: probability of unrelated yes (CM)"
lab var q14_uq         "Shoplifting: unrelated question"
lab var q15            "Have you ever provided misleading or incorrect information on your tax return?"
lab var q15_pyes       "Tax evasion: probability of direct yes (FR/UQ)"
lab var q15_pno        "Tax evasion: probability of direct no (FR/UQ)"
lab var q15_pcm        "Tax evasion: probability of unrelated yes (CM)"
lab var q15_uq         "Tax evasion: unrelated question"
lab var q16            "Did you vote in the 2012 US presidential election?"
lab var q16_pyes       "Voting: probability of direct yes (FR/UQ)"
lab var q16_pno        "Voting: probability of direct no (FR/UQ)"
lab var q16_pcm        "Voting: probability of unrelated yes (CM)"
lab var q16_uq         "Voting: unrelated question"
lab var q17            "Did you honestly report whether your prediction was right?/you rolled a 6?"
lab var q17_pyes       "Dice game reporting: probability of direct yes (FR/UQ)"
lab var q17_pno        "Dice game reporting: probability of direct no (FR/UQ)"
lab var q17_pcm        "Dice game reporting: probability of unrelated yes (CM)"
lab var q17_uq         "Dice game reporting: unrelated question"
lab var q18_1          "How well are respondents' anonymity and privacy protected?"
lab var q18_2          "How likely could respondents sensitive behavior be disclosed by this survey?"
lab var q19_1          "Does the special technique absolutely protect your answers?"
lab var q19_2          "Do you think you properly followed the instructions for the special technique?"
lab var q19_3          "Did you understand how the technique protects respondents?"
lab var q19_4txt       "Have you any other thoughts or remarks on the special technique? (text)"
lab var q20_1          "First digit of acquaintance's house number"
lab var q20_2_1        "Response unrel. question A (CM Question)"
lab var q20_2_1_uq     "Wording unrel. question A (CM Question)"
lab var q20_2_1_pyes   "Probability yes-answer unrel. question A (CM Question)"
lab var q20_2_2        "Response unrel. question B (CM Question)"
lab var q20_2_2_uq     "Wording unrel. question B (CM Question)"
lab var q20_2_2_pyes   "Probability yes-answer unrel. question B (CM Question)"
lab var q20_2_3        "Response unrel. question C (CM Question)"
lab var q20_2_3_uq     "Wording unrel. question C (CM Question)"
lab var q20_2_3_pyes   "Probability yes-answer unrel. question C (CM Question)"
lab var q20_2_4        "Response unrel. question D (CM Question)"
lab var q20_2_4_uq     "Wording unrel. question D (CM Question)"
lab var q20_2_4_pyes   "Probability yes-answer unrel. question D (CM Question)"
lab var q20_3_1        "Response unrel. question A (UQ Benford)"
lab var q20_3_1_uq     "Wording unrel. question A (UQ Benford)"
lab var q20_3_1_pyes   "Probability yes-answer unrel. question A (UQ Benford)"
lab var q20_3_2        "Response unrel. question B (UQ Benford)"
lab var q20_3_2_uq     "Wording unrel. question B (UQ Benford)"
lab var q20_3_2_pyes   "Probability yes-answer unrel. question B (UQ Benford)"
lab var q20_3_3        "Response unrel. question C (UQ Benford)"
lab var q20_3_3_uq     "Wording unrel. question C (UQ Benford)"
lab var q20_3_3_pyes   "Probability yes-answer unrel. question C (UQ Benford)"
lab var q20_3_4        "Response unrel. question D (UQ Benford)"
lab var q20_3_4_uq     "Wording unrel. question D (UQ Benford)"
lab var q20_3_4_pyes   "Probability yes-answer unrel. question D (UQ Benford)"
lab var q20_4          "Response pick-a-number device (standard)"
lab var q20_5          "Response pick-a-number device (generic)"
lab var q21_1          "How well do you know your mother's birthday (day and month)"
lab var q21_2          "How well do you know the year your mother was born?"
lab var q21_3          "How well do you know your father's birthday (day and month)"
lab var q21_4          "How well do you know the year your father was born?"
lab var q22txt         "Do you have any remarks or suggestions concerning this questionnaire? (text)"

// display formats
qui ds, has(type string)
format %9s `r(varlist)'

format %12.0g firstcl* lastcl* submit*

 // deleting not used labels
labelbook, problems 
	la drop `r(notused)'
qui compress

// some reordering
order dicegame, before(q6)
order senstec, before(q14)
order rndtest, before(q20_1)

exit

// Checks
codebook, problems

