// Creating lists for editing
*list for renaming
unab varlist :  Q1_4-Q18_3
file open myfile using renaming.doi, write replace
foreach varname in `varlist' {
	file write myfile "rename `varname'"_tab _tab"q_" _newline
	}
file close myfile

*label values list
use "C:\DATEN\ASQ\Projects\MTurk\MTurkMain1\1rst\data_MTurkMain1.dta", clear
uselabel, clear
file open myfile using labelvalues.doi, write replace
local rownum = 0
local priorlbl ""
while `rownum' <=_N {
	local ++rownum
	local lblnm = lname[`rownum']
	local lblval = value[`rownum']
	local lbllbl = label[`rownum']
	local startletter = substr("`lblval'",1,1)
	if "`priorlbl'" != "`lblnm'" {
		file write myfile ///
		"lab val q q" _newline ///		
		"fre q" _newline ///
		"lab def q ///" _newline
	}
	if "`startletter'" != "." {  // schliesst missing-values aus
		file write myfile ///
			_tab "`lblval' " `""`lbllbl'""' " ///" _newline
	}
	local priorlbl "`lblnm'"
}
file close myfile
*list for variable labelling
unab varlist :  id-q22
file open myfile using labelvars.doi, write replace
foreach varname in `varlist' {
	file write myfile "lab var `varname'" _col(24) `""""' _newline
	}
file close myfile

// Data cleaning
*year of birth
replace q9_2=2013-q9_2 if inrange(q9_2,15,50)
assert inrange(q9_2, 1930,1996) if !missing(q9_2)
*AMT studies	
gen flag_q10_1 = 1
replace flag_q10_1=0 if regexm(q10_1, "(^[0-9]+$)") // if only numeric values
replace flag_q10_1=0 if q10_1==""
gen q10_1_coded=q10_1 if flag_q10_1
replace q10_1_coded = regexr(trim(q10_1_coded),"([aA]bout )|([aA]round)|[aA]pprox|[aA]pprox.","")	
replace q10_1_coded = regexr(trim(q10_1_coded),"([Tt]imes)|(or more)|(plus)|(more)|(ish)","")	
replace q10_1_coded = regexr(trim(q10_1_coded),"\+|\~|\?","")	
replace q10_1_coded = regexr(trim(q10_1_coded),"([nN]one)","0")		
replace q10_1_coded = regexr(trim(q10_1_coded),"([oO]nce)","1")		
replace q10_1_coded = regexs(1) if(regexm(q10_1, "(^[0-9]+)*\+|plus|more|ish|"))
list q10_1_coded if flag_q10_1==1
* Comments
list sqcomment1 
gen flag_sqcomment1 = 1
gen sqcomment1_coded=""
	order sqcomment1_coded, before(sqcomment1)
	replace sqcomment1_coded="." if sqcomment1==""
		replace flag_sqcomment1 = 0 if sqcomment1==""
	replace sqcomment1_coded="None"	if(regexm(sqcomment1, "^([Nn]o|[Nn]one|[Nn]ope|n/a )+( thanks)?(, )?(no)?( other)?( further)?( additional)?( remarks| thoughts| comments)?(, )?[.]?$")) & missing(sqcomment1_coded) // 
	replace sqcomment1_coded="None" if(regexm(sqcomment1, "^([Nn]o|[Nn]one|[Nn]ope)?(, |. )?([Tt]hank)+(s)?( [Yy]ou)?[.|!]?$")) // 
		replace flag_sqcomment1 = 0 if sqcomment1_coded=="None"
	list sqcomment1 if !inlist(sqcomment1_coded, ".","None") 	
	
// Creating new variables
gen age = 2013-ybirth
	label var age "Age"
	order age, after(ybirth)

gen screenOK=cond((regexm(screening_text, "([Gg]ot it)+")) & screening==4,1,0)
	label var screenOK "Screening question"
	label define screenOK 0 "not passed" 1 "passed"
	label values screenOK screenOK
	order screenOK, before(screening)	